メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
clients
/
{id}
/
connections
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    clients "github.com/auth0/go-auth0/management/clients"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Clients.Connections.Get(
        context.TODO(),
        "id",
        &clients.ConnectionsGetRequest{
            From: management.String(
                "from",
            ),
            Take: management.Int(
                1,
            ),
            Fields: management.String(
                "fields",
            ),
            IncludeFields: management.Bool(
                true,
            ),
        },
    )
}
{
  "connections": [
    {
      "name": "My connection",
      "display_name": "<string>",
      "options": {},
      "id": "con_0000000000000001",
      "strategy": "auth0",
      "realms": [
        "<string>"
      ],
      "is_domain_connection": true,
      "show_as_button": true,
      "metadata": {}
    }
  ],
  "next": "<string>"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

id
string
必須

ID of the client for which to retrieve enabled connections.

クエリパラメータ

strategy
enum<string>[]

Provide strategies to only retrieve connections with such strategies

利用可能なオプション:
ad,
adfs,
amazon,
apple,
dropbox,
bitbucket,
aol,
auth0-oidc,
auth0,
baidu,
bitly,
box,
custom,
daccount,
dwolla,
email,
evernote-sandbox,
evernote,
exact,
facebook,
fitbit,
flickr,
github,
google-apps,
google-oauth2,
instagram,
ip,
line,
linkedin,
oauth1,
oauth2,
office365,
oidc,
okta,
paypal,
paypal-sandbox,
pingfederate,
planningcenter,
salesforce-community,
salesforce-sandbox,
salesforce,
samlp,
sharepoint,
shopify,
shop,
sms,
soundcloud,
thirtysevensignals,
twitter,
untappd,
vkontakte,
waad,
weibo,
windowslive,
wordpress,
yahoo,
yandex,
auth0-adldap
from
string

Optional Id from which to start selection.

Maximum string length: 1000
take
integer

Number of results per page. Defaults to 50.

必須範囲: 1 <= x <= 100
fields
string

A comma separated list of fields to include or exclude (depending on include_fields) from the result, empty to retrieve all fields

Maximum string length: 1000
Pattern: ^((name)|(display_name)|(strategy)|(options)|(id)|(provisioning_ticket_url)|(metadata)|(show_as_button)|(clients)|(authentication)|(connected_accounts)|(cross_app_access_requesting_app)|(cross_app_access_resource_app))(,((name)|(display_name)|(strategy)|(options)|(id)|(provisioning_ticket_url)|(metadata)|(show_as_button)|(clients)|(authentication)|(connected_accounts)|(cross_app_access_requesting_app)|(cross_app_access_resource_app)))*$
include_fields
boolean

true if the fields specified are to be included in the result, false otherwise (defaults to true)

レスポンス

Success

connections
object[]
必須
next
string

Encoded next token